<?php

namespace Guru\PushPostback\Repositories\Eloquent;

use Guru\PushPostback\Interfaces\PushPostbackRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class PushPostbackRepository extends BaseRepository implements PushPostbackRepositoryInterface
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'name'  => 'like'
    ];

    public function boot()
    {
        $this->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('package.push_postback.push_postback.model');
    }
}
