This is a Laravel 5 package that provides push_postback management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `guru/push_postback`.

    "guru/push_postback": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Guru\PushPostback\Providers\PushPostbackServiceProvider::class,

```

And also add it to alias

```php
'PushPostback'  => Guru\PushPostback\Facades\PushPostback::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Guru\PushPostback\Providers\PushPostbackServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Guru\PushPostback\Providers\PushPostbackServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Guru\PushPostback\Providers\PushPostbackServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Guru\PushPostback\Providers\PushPostbackServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Guru\PushPostback\Providers\PushPostbackServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Guru\PushPostback\Providers\PushPostbackServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


